Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ResponseWriter

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter

public abstract class ResponseWriter
extends java.io.Writer

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ResponseWriter()`

Method Summary
`abstract ResponseWriter` | `cloneWithWriter(java.io.Writer writer)`
`abstract void` | `endDocument()`
`abstract void` | `endElement(java.lang.String name)`
`abstract void` | `flush()`
`abstract java.lang.String` | `getCharacterEncoding()`
`abstract java.lang.String` | `getContentType()`
`abstract void` | `startDocument()`
`abstract void` | `startElement(java.lang.String name, UIComponent component)`
`abstract void` | `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)`
`abstract void` | `writeComment(java.lang.Object comment)`
`abstract void` | `writeText(char[] text, int off, int len)`
`abstract void` | `writeText(java.lang.Object text, java.lang.String property)`
`abstract void` | `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)`

Methods inherited from class java.io.Writer
`close, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseWriter

    public ResponseWriter()

Method Detail

### getContentType

    public abstract java.lang.String getContentType()

### getCharacterEncoding

    public abstract java.lang.String getCharacterEncoding()

### flush

    public abstract void flush()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### startDocument

    public abstract void startDocument()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### endDocument

    public abstract void endDocument()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### startElement

    public abstract void startElement(java.lang.String name,
                                      UIComponent component)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### endElement

    public abstract void endElement(java.lang.String name)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAttribute

    public abstract void writeAttribute(java.lang.String name,
                                        java.lang.Object value,
                                        java.lang.String property)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeURIAttribute

    public abstract void writeURIAttribute(java.lang.String name,
                                           java.lang.Object value,
                                           java.lang.String property)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeComment

    public abstract void writeComment(java.lang.Object comment)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public abstract void writeText(java.lang.Object text,
                                   java.lang.String property)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeText

    public abstract void writeText(char[] text,
                                   int off,
                                   int len)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### cloneWithWriter

    public abstract ResponseWriter cloneWithWriter(java.io.Writer writer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD